Summary: TUI display server for Java TUI AWT
Name: tuipeer
%define version 1.1.2
Version: %{version}
Release: 1
Copyright: LGPL
Group: Applications/Emulators
Source: http://www.bmsi.com/tuipeer/src/tuipeer-1.1.2.src.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
This C++ program communicates via socket with the bmsi.tui package for Java.
The bmsi.tui package is a Java AWT implementation for a Text User Interface.

%prep
%setup -q
make depend

%build
cd fsp; make
cd ../lib; make
cd ..; make

%install
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
cp tuipeer $RPM_BUILD_ROOT/usr/local/bin
cp tuijava.sh $RPM_BUILD_ROOT/usr/local/bin/tuijava
mkdir -p $RPM_BUILD_ROOT/usr/doc/tuipeer-%{version}
cp ChangeLog TODO LICENSE INSTALL $RPM_BUILD_ROOT/usr/doc/tuipeer-%{version}

%clean

%files
/usr/local/bin

%changelog
* Sun Dec 17 2000 Stuart Gathman <stuart@bmsi.com>
- Remove dependencies on libg++
* Thu Dec 14 2000 Stuart Gathman <stuart@bmsi.com>
- Install LGPL license
* Wed Jun 14 2000 Stuart Gathman <stuart@bmsi.com>
- first RPM release for Linux
